PPIx::Regexp::Token::Interpolation(3pm)

NAME
PPIx::Regexp::Token::Interpolation - Represent an interpolation in the PPIx::Regexp package.

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new('qr{$foo}smx')->print();

INHERITANCE
"PPIx::Regexp::Token::Interpolation" is a PPIx::Regexp::Token::Code.

"PPIx::Regexp::Token::Interpolation" has no descendants.

DESCRIPTION
This class represents a variable interpolation into a regular expression. In the "SYNOPSIS" the $foo would be represented by an object of this class.

  Incompatible Change: Parse of '@{[ ... ]}'
In versions 0.083 and earlier, '@{[ ... ]}' parsed as a member of this class. In 0.084 and later, it parses as a member of "PPIx::Regexp::Token::Code". This more accurately reflects the actual contents of the token, and enables the recognition of the full range of postfix dereference operators for versioning purposes, not just those valid in interpolations.

METHODS
This class provides the following public methods beyond those provided by its superclass.

  is_matcher
This method returns "undef" because a static analysis can not in general tell whether a piece of code matches anything.

SUPPORT
Support is by the author. Please file bug reports at <https://github.com/trwyant/perl-PPIx-Regexp/issues> or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III harryfmudd at comcast dot net

COPYRIGHT AND LICENSE
Copyright (C) 2009-2023, 2025-2026 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.